Bug 1129635 - Deleting a resource and creation a new one might lead to conflicts when the deletion is not finished yet
Summary: Deleting a resource and creation a new one might lead to conflicts when the d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: All
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: Adam Ruzicka
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 11:59 UTC by Ivan Necas
Modified: 2019-07-11 08:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Ivan Necas 2014-08-13 11:59:51 UTC
Description of problem:
Deleting a resource and creation a new one might lead to conflicts when the deletion is not finished yet

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
sometimes

Steps to Reproduce:
1. delete a repository
2. right after doing so, create a new repository with the same name

Actual results:
Duplicate resource: Default_Organization-snap2-tools

Expected results:
Resource is not allowed to be created till the old resource is still being orchestrated

Comment 1 RHEL Product and Program Management 2014-08-13 12:03:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Bryan Kearney 2015-02-05 21:45:51 UTC
Connecting redmine issue http://projects.theforeman.org/issues/7333 from this bug

Comment 6 Bryan Kearney 2015-02-05 23:03:25 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7333 has been closed
-------------
David Davis
Applied in changeset commit:katello|8d28f67b1cfc1cef06e5da77194cdba3a25c4a8e.

Comment 7 Bryan Kearney 2015-02-06 20:48:52 UTC
This is already in the downstream repo.

Comment 12 Ivan Necas 2015-04-28 10:57:26 UTC
I would suggest marking this BZ as verified, as the main goal of this (which was fixed) was not getting into creation process when there is already deletion going on (which indeed happened).

I would suggest openening a new BZ asking for better error message when there is a name conflict, but deletion in progress

Comment 13 Bryan Kearney 2015-04-30 15:31:29 UTC
Per comment 12, I am moving this back to ON_QA. I have opened a new bug to improve the error message

https://bugzilla.redhat.com/show_bug.cgi?id=1217544

Comment 15 Bryan Kearney 2015-08-11 13:25:11 UTC
This bug is slated to be released with Satellite 6.1.

Comment 16 errata-xmlrpc 2015-08-12 05:14:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.